com.mysql.cj.xdevapi

## Interface JsonValue

All Known Subinterfaces:
  DbDoc

    public interface JsonValue

Common interface for classes representing standard JSON object, array, number, string and 'true', 'false' and 'null' literals and non-standard extensions like mysqlx.expr() expressions.

### Method Summary

All Methods Instance Methods Default Methods
`default String` `toFormattedString()` Get a human readable "pretty" JSON string.

### Method Detail

#### toFormattedString

    default String toFormattedString()

Get a human readable "pretty" JSON string.

Returns:
  human readable "pretty" JSON string

Copyright © 2016, 2025, Oracle and/or its affiliates.